import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2023-05-12 10:21
 */
export interface PresentationMobileMenu{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 
    * @type { string }
    */
    text?: string;
    /**
    * 
    * @type { string }
    */
    level?: string;
    /**
    * 
    * @type { string }
    */
    parentId?: string;
    /**
    * 
    * @type { number }
    */
    sort?: number;
    /**
    * 展示类型（0-空节点; 1-IMG；2-VIDEO；）
    * @type { number }
    */
    type?: number;
    /**
    * 
    * @type { string }
    */
    icon?: string;
    /**
    * 
    * @type { string }
    */
    content?: string;
}
export class PresentationMobileMenuMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TEXT(): FieldInfo{  
        return new FieldInfo('text','');
    }
    static get LEVEL(): FieldInfo{  
        return new FieldInfo('level','');
    }
    static get PARENT_ID(): FieldInfo{  
        return new FieldInfo('parentId','');
    }
    static get SORT(): FieldInfo{  
        return new FieldInfo('sort','');
    }
    static get TYPE(): FieldInfo{  
        return new FieldInfo('type','展示类型（0-空节点; 1-IMG；2-VIDEO；）');
    }
    static get ICON(): FieldInfo{  
        return new FieldInfo('icon','');
    }
    static get CONTENT(): FieldInfo{  
        return new FieldInfo('content','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2023-05-12 10:21
 */
export interface PresentationMenu{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 
    * @type { string }
    */
    text?: string;
    /**
    * 
    * @type { string }
    */
    level?: string;
    /**
    * 
    * @type { string }
    */
    parentId?: string;
    /**
    * 
    * @type { number }
    */
    sort?: number;
    /**
    * 展示类型（0-空节点; 1-PDF；2-VIDEO；）
    * @type { number }
    */
    type?: number;
    /**
    * 
    * @type { string }
    */
    url?: string;
    /**
    * 
    * @type { string }
    */
    param?: string;
    /**
    * 
    * @type { string }
    */
    busType?: string;
    /**
    * 
    * @type { string }
    */
    poster?: string;
}
export class PresentationMenuMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TEXT(): FieldInfo{  
        return new FieldInfo('text','');
    }
    static get LEVEL(): FieldInfo{  
        return new FieldInfo('level','');
    }
    static get PARENT_ID(): FieldInfo{  
        return new FieldInfo('parentId','');
    }
    static get SORT(): FieldInfo{  
        return new FieldInfo('sort','');
    }
    static get TYPE(): FieldInfo{  
        return new FieldInfo('type','展示类型（0-空节点; 1-PDF；2-VIDEO；）');
    }
    static get URL(): FieldInfo{  
        return new FieldInfo('url','');
    }
    static get PARAM(): FieldInfo{  
        return new FieldInfo('param','');
    }
    static get BUS_TYPE(): FieldInfo{  
        return new FieldInfo('busType','');
    }
    static get POSTER(): FieldInfo{  
        return new FieldInfo('poster','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2023-05-12 10:21
 */
export interface PresentationBusType{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 
    * @type { string }
    */
    text?: string;
    /**
    * 
    * @type { string }
    */
    param?: string;
    /**
    * 
    * @type { number }
    */
    sort?: number;
}
export class PresentationBusTypeMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TEXT(): FieldInfo{  
        return new FieldInfo('text','');
    }
    static get PARAM(): FieldInfo{  
        return new FieldInfo('param','');
    }
    static get SORT(): FieldInfo{  
        return new FieldInfo('sort','');
    }
}


